Package voltage.core

# Class VoltageRectangle

java.lang.Object
voltage.core.VoltageComponent
voltage.core.VoltageRectangle

public class VoltageRectangle extends VoltageComponent
Rectangle class

- ## Field Summary

  ### Fields inherited from class voltage.core.VoltageComponent

  `componentName, displayName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VoltageRectangle(String name, String displayName, VoltageModule module)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Color`
  `GetBorderColor()`
  Gets the border color.
  `int`
  `GetBorderSize()`
  Gets the border size.
  `int`
  `GetCornerSize()`
  Gets the corner size.
  `Color`
  `GetRectangleColor()`
  Gets the background color.
  `void`
  `SetBorderColor(Color zeColor)`
  Sets the border color of the rectangle.
  `void`
  `SetBorderSize(int bsize)`
  Sets the border size of the rectangle.
  `void`
  `SetCornerSize(int csize)`
  Sets a corner size for this rectangle to create a rounded rectangle
  `void`
  `SetRectangleColor(Color zeColor)`
  Sets the fill color of the rectangle.

  ### Methods inherited from class voltage.core.VoltageComponent

  `AddChildComponent, GetComponentID, GetDisplayName, GetHeight, GetMaxValue, GetMinValue, GetRect, GetSkin, GetTooltipText, GetTransparency, GetUserProperty, GetValue, GetWidth, GetX, GetY, IsEnabled, IsVisible, RemoveChildComponent, SetCanBeAutomated, SetEnabled, SetPosition, SetRect, SetRect, SetSize, SetSkin, SetTransparency, SetUnits, SetUserProperty, SetValue, SetValue, SetValueNoNotification, SetVisible, SetWantsMouseNotifications, SetZOrder, SkewNormalizedValue, UpdateGUIValue, WantsMouseNotifications`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VoltageRectangle

    public VoltageRectangle(String name, String displayName, VoltageModule module)

- ## Method Details

  - ### SetRectangleColor

    public void SetRectangleColor(Color zeColor)
    Sets the fill color of the rectangle.
    Parameters:
      `zeColor` - the color to use.

  - ### SetBorderColor

    public void SetBorderColor(Color zeColor)
    Sets the border color of the rectangle.
    Parameters:
      `zeColor` - the color to use.

  - ### SetBorderSize

    public void SetBorderSize(int bsize)
    Sets the border size of the rectangle.
    Parameters:
      `bsize` - the number of pixels for the border.

  - ### SetCornerSize

    public void SetCornerSize(int csize)
    Sets a corner size for this rectangle to create a rounded rectangle
    Parameters:
      `csize` - the number of pixels for the corner.

  - ### GetRectangleColor

    public Color GetRectangleColor()
    Gets the background color.
    Returns:
      the color.

  - ### GetBorderColor

    public Color GetBorderColor()
    Gets the border color.
    Returns:
      the color.

  - ### GetBorderSize

    public int GetBorderSize()
    Gets the border size.
    Returns:
      the size of the border.

  - ### GetCornerSize

    public int GetCornerSize()
    Gets the corner size.
    Returns:
      the size of the corner.